# Imagick::getImageIndex

(PECL imagick 2.0.0)

Imagick::getImageIndex — Gets the index of the current active image

### Description

Imagick::getImageIndex ( void ) : int

Returns the index of the current active image within the Imagick object. This method has been deprecated. See Imagick::getIteratorIndex().

### Return Values

Returns an integer containing the index of the image in the stack.

### Errors/Exceptions

Throws ImagickException on error.